Summary: A GNU emacs major mode for editing SGML documents.
name: psgml
%define version 1.2.1
%define release 5
Version: %{version}
Release: %{release}
Prereq: sgml-common
Requires: emacs
Copyright: GPL
Source: ftp://ftp.lysator.liu.se/pub/sgml/psgml-%{version}.tar.gz
# patch: psgml.patch
Group: Applications/Editors
BuildRoot: /var/tmp/%{name}-%{version}-%{release}
BuildArch: noarch
Prefix: /usr
%define psgmldir %{prefix}/share/emacs/site-lisp/psgml/

%description
Emacs is an advanced and extensible editor. An Emacs major mode
customizes Emacs for editing particular types of text documents. PSGML
is a major mode for SGML (a markup language) documents.  PSGML
provides several functionalities for editing SGML documents:
indentation according to element nesting depth and identification of
structural errors (but it is not a validating SGML parser); menus and
commands for inserting tags with only the contextually valid tags;
attribute values can be edited in a separate window with information
about types and defaults; structure based editing includes movement
and killing; and also several commands for folding editing.

%prep
%setup 

%build
# make sure we "find" etags in the installed place...
PATH=/usr/bin:$PATH ./configure --prefix=/usr
make infodir=/usr/info psgmldir=/usr/share/emacs/site-lisp/psgml
cat > psgml-init.el << __ELISP__
(setq load-path (append load-path '("/usr/share/emacs/site-lisp/psgml")))

(autoload 'sgml-mode "psgml" "Major mode for editing SGML." t)
(if (not (getenv "SGML_CATALOG_FILES"))
   (defvar sgml-catalog-files '("CATALOG" "%{prefix}/lib/sgml/CATALOG" "%{prefix}/lib/sgml-tools/dtd/catalog"))
  "*List of catalog entry files.
The files are in the format defined in the SGML Open Draft Technical
Resolution on Entity Management.")
(put 'sgml-catalog-files 'sgml-type 'list)

__ELISP__


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{psgmldir}
mkdir -p $RPM_BUILD_ROOT/usr/info
mkdir -p $RPM_BUILD_ROOT/%{prefix}/lib/sgml/cdtd

touch $RPM_BUILD_ROOT/usr/info/dir

make install infodir=$RPM_BUILD_ROOT/usr/info \
  prefix=$RPM_BUILD_ROOT/%{prefix} \
  psgmldir=$RPM_BUILD_ROOT/%{psgmldir} \
  lispdir=$RPM_BUILD_ROOT/%{psgmldir}

make install-info infodir=$RPM_BUILD_ROOT/usr/info

gzip $RPM_BUILD_ROOT/usr/info/*.info

rm $RPM_BUILD_ROOT/usr/info/dir

cp psgml-init.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/

%post
install-info --info-dir=/usr/info /usr/info/psgml.info
install-info --info-dir=/usr/info /usr/info/psgml-api.info
SS=/usr/share/emacs/site-lisp/site-start.el
# must version the load since the old postun runs *after* the new post...
V=%{version}-%{release}
if grep -q psgml-auto-setup-$V $SS 2>/dev/null
then
  :
else
  echo '(load "psgml-init") ;; psgml-auto-setup-'"$V" >> $SS
fi

%postun
SS=/usr/share/emacs/site-lisp/site-start.el
V=%{version}-%{release}
if [ "$1" = 0 ] ; then
  install-info --info-dir=/usr/info --delete /usr/info/psgml.info
  install-info --info-dir=/usr/info --delete /usr/info/psgml-api.info
  if grep -q psgml-auto-setup-1 $SS 2>/dev/null
  then
    grep -v psgml-auto-setup-1 $SS > $SS.new 2>/dev/null
    mv $SS.new $SS
  fi
fi
if grep -q psgml-auto-setup-$V $SS
then
  grep -v psgml-auto-setup-$V $SS > $SS.new 2>/dev/null
  mv $SS.new $SS
fi

%files
%defattr(-,root,root)
%doc psgml.ps README.psgml
/usr/share/emacs/site-lisp/psgml/*
/usr/share/emacs/site-lisp/psgml-init.el
/usr/info/psgml*
%{prefix}/lib/sgml/cdtd

%changelog
* Wed Feb 16 2000 Bill Nottingham <notting@redhat.com>
- look in old sgml-tools dirs for catalogs, to catch linuxdoc

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Wed Jan  5 2000 Bill Nottingham <notting@redhat.com>
- clean up spec file some

* Wed Nov 24 1999 Tim Powers <timp@redhat.com>
- came in on my day off to buld this package, feel special?
- updated to 1.2.1

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group
- changed buildroot toe be in /var/tmp
- added %defattr

* Tue Jul 21 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Fri Apr 23 1999 Michael K. Johnson <johnsonm@redhat.com>
- PATH hack to protect "make install" from install-info
- %doc path fixed
- protect postun from uninstall
- Moved $V outside of '' so that it gets interpolated

* Thu Apr 22 1999 Owen Taylor <otaylor@redhat.com>
- Upgrade to psgml-1.0.3
- Made noarch

